[RISOLTO] Firefox quantum su stretch

Discussioni relative a Debian e Linux

[RISOLTO] Firefox quantum su stretch

Messaggioda sirio81 » 07/12/2017, 14:12

Ciao a tutti, quale metodo consigliate per avere Firefox quantum su stretch?

Da una rapida googlata ho visto 3 strade:
- usare i repo sid ed il pinning (non mi attira molto questa opzione)
- scaricare l'archivio direttamente dalla mozilla (contiene il file eseguibile): how to.
- compilarlo da sorgenti (qua c'è uno script che semplifica la cosa)
Ultima modifica di sirio81 il 09/12/2017, 10:53, modificato 1 volta in totale.
sirio81
Hero Member
Hero Member
 
Messaggi: 1017
Iscritto il: 13/02/2006, 5:04

Re: Firefox quantum su stretch

Messaggioda marcomg » 07/12/2017, 16:25

Io userei il pinning :D
Windows is what you open when you want fresh air from outside.
Avatar utente
marcomg
Global Moderator
Global Moderator
 
Messaggi: 5496
Iscritto il: 22/08/2011, 18:54

Re: Firefox quantum su stretch

Messaggioda Selky » 07/12/2017, 17:20

In questa guida http://guide.debianizzati.org/index.php/Firefox ho cercato di spiegare la situazione presente nei repo Debian.

Il tema mozilla.debian ha da tempo specificato che
WARNING: Jessie and Stretch backports of Firefox release and beta are gone because of the requirement of rust to build them, which is not available in Jessie or Stretch. Please update your apt sources to use Firefox ESR instead.


La versione "release" originale di mozilla (57x) gira su Stretch, provato per le guide, ma per scelta personale la evito.
Selky
wiki member
wiki member
 
Messaggi: 1377
Iscritto il: 30/12/2011, 1:00

Re: Firefox quantum su stretch

Messaggioda sirio81 » 09/12/2017, 10:53

Grazie Selky per l'ottima guida.
Ho trovato molto interessanti le informazioni riportate.

La versione "release" originale di mozilla (57x) gira su Stretch, provato per le guide, ma per scelta personale la evito.


Posso chiedere come mai?
sirio81
Hero Member
Hero Member
 
Messaggi: 1017
Iscritto il: 13/02/2006, 5:04

Re: [RISOLTO] Firefox quantum su stretch

Messaggioda Selky » ieri, 0:13

Risposta di circostanza: sul mio Xfce il tema in uso standard, che mi piace e non cambio per mancanza di voglia e tempo da dedicare a ricercarne altri compatibili, le gtk3 sono out e pertanto dalla versione 52 l'estetica e ciò che vi gira attorno é osceno.
Poi c'è altro e, come ho detto, sono scelte. L'unica cosa che desidero scrivere è che non è colpa degli sviluppatori delle estensioni il mancato aggiornamento alla nuova forma di queste in Webextension. Semplicemente Mozilla ha stravolto senza fornire tutte le API necessarie per effettuare il "trasloco" e alcune funzionalità non saranno più disponibili.
Ovviamente con la mia fortuna le estensioni che maggiormente uso non sono più compatibili, pertanto per ora mi accontento di utilizzare altri browser o altre versioni, alla fine oramai sono tutti la stessa minestra.
Selky
wiki member
wiki member
 
Messaggi: 1377
Iscritto il: 30/12/2011, 1:00


Torna a Generale

Chi c’è in linea

Visitano il forum: Nessuno e 7 ospiti